com.mapinfo.midev.geometry

## Interface IRectangle

All Superinterfaces:
  IFeatureGeometry, IGeometry, Serializable

    public interface IRectangle
    extends IFeatureGeometry

An `IFeatureGeometry` that is an axis aligned rectangle defined by two points (lower left and upper right).

### Method Summary

All Methods Instance Methods Abstract Methods
`IMultiPolygon` `asMultiPolygon()` Returns an `IMultiPolygon` version of this `IRectangle`.
`IRectangle` `getCopy()` Returns a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.
`IRectangle` `getCopy(CoordSys csys)` Returns a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.
`Length` `getHeight(ComputationType ct)` Returns the height of the `IRectangle` using the specified `ComputationType`.
`DirectPosition` `getLowerLeft()` Returns the lower-left corner of the `IRectangle` as `DirectPosition`.
`DirectPosition` `getUpperRight()` Returns the upper-right corner of the `IRectangle` as `DirectPosition`.
`Length` `getWidth(ComputationType ct)` Returns the width of the `IRectangle` using the specified `ComputationType`.

### Methods inherited from interface com.mapinfo.midev.geometry.IFeatureGeometry

`getRepresentativePoint, initializeRepresentativePoint, setRepresentativePoint`

### Methods inherited from interface com.mapinfo.midev.geometry.IGeometry

`contains, getArea, getCoordSys, getDimension, getEnvelope, getPerimeter, getSpatialInfo, getType, isEmpty, isTransient, mAllSet, mSet, zAllSet, zSet`

### Method Detail

#### getLowerLeft

    DirectPosition getLowerLeft()

Returns the lower-left corner of the `IRectangle` as `DirectPosition`.

Returns:
  the lower-left corner of the `IRectangle` as `DirectPosition`.

#### getUpperRight

    DirectPosition getUpperRight()

Returns the upper-right corner of the `IRectangle` as `DirectPosition`.

Returns:
  the upper-right corner of the `IRectangle` as `DirectPosition`.

#### getWidth

    Length getWidth(ComputationType ct)

Returns the width of the `IRectangle` using the specified `ComputationType`.

Returns:
  the width of the `IRectangle` using the specified `ComputationType`.
Throws:
  `InvalidComputationTypeException` - if the given computation type is incompatible with the coordinate system of this geometry

#### getHeight

    Length getHeight(ComputationType ct)

Returns the height of the `IRectangle` using the specified `ComputationType`.

Returns:
  the height of the `IRectangle` using the specified `ComputationType`.
Throws:
  `InvalidComputationTypeException` - if the given computation type is incompatible with the coordinate system of this geometry

#### asMultiPolygon

    IMultiPolygon asMultiPolygon()

Returns an `IMultiPolygon` version of this `IRectangle`.

Returns:
  an `IMultiPolygon` version of this `IRectangle`.

#### getCopy

    IRectangle getCopy()

Description copied from interface: `IFeatureGeometry`
Returns a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.

Specified by:
  `getCopy` in interface `IFeatureGeometry`
Specified by:
  `getCopy` in interface `IGeometry`
Returns:
  a non-transient copy of this `IFeatureGeometry` in this `IFeatureGeometry`'s coordinate system.
See Also:
  `IFeatureGeometry.getCopy(com.mapinfo.midev.coordsys.CoordSys)`, `IGeometry.isTransient()`

#### getCopy

    IRectangle getCopy(CoordSys csys)

Description copied from interface: `IFeatureGeometry`
Returns a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.

Specified by:
  `getCopy` in interface `IFeatureGeometry`
Specified by:
  `getCopy` in interface `IGeometry`
Parameters:
  `csys` - coordinate system of the returned copy
Returns:
  a non-transient copy of this `IFeatureGeometry` in the specified coordinate system.
See Also:
  `IGeometry.isTransient()`